## PeonyMenu

PeonyMenu — Menu descriptor object

## Functions

PeonyMenu * | peony_menu_new ()
void | peony_menu_append_item ()
GList * | peony_menu_get_items ()
void | peony_menu_item_list_free ()

## Types and Values

| PeonyMenuPrivate
struct | PeonyMenu

## Object Hierarchy

        GObject
        ╰── PeonyMenu

## Includes

    #include <libpeony-extension/peony-menu.h>

## Description

PeonyMenu is an object that describes a submenu in a file manager menu. Extensions can provide PeonyMenu objects by attaching them to PeonyMenuItem objects, using `peony_menu_item_set_submenu()`.

## Functions

### peony_menu_new ()

    PeonyMenu *
    peony_menu_new (void);

### peony_menu_append_item ()

    void
    peony_menu_append_item (PeonyMenu *menu,
                            PeonyMenuItem *item);

### peony_menu_get_items ()

    GList *
    peony_menu_get_items (PeonyMenu *menu);

#### Parameters

menu | a PeonyMenu |

#### Returns

the provided PeonyMenuItem list.

[element-type PeonyMenuItem][transfer full]

### peony_menu_item_list_free ()

    void
    peony_menu_item_list_free (GList *item_list);

#### Parameters

item_list | a list of PeonyMenuItem. | [element-type PeonyMenuItem]

## Types and Values

### PeonyMenuPrivate

    typedef struct _PeonyMenuPrivate PeonyMenuPrivate;

### struct PeonyMenu

    struct PeonyMenu;